<?php
session_start();
  require('../valtiempoinact.php');
require("conectar.php");

$ap=$_POST['ap'];
$am=$_POST['am'];
$nombre=$_POST['nombre'];
$curp=$_POST['curp'];
$rfc=$_POST['rfc'];
$email=$_POST['mail'];
$email2=$_POST['mail2'];
$usuario=$_POST['usu'];
$password=md5($_POST['pass']);

$nomrepetido=mysql_query("select count(*) as nombre_repetido from empleados where nombre='$nombre' and a_pat='$ap' and a_mat='$am'",$db_conexion);
$rn=mysql_fetch_array($nomrepetido);

$curp_repetido=mysql_query("select count(*) as curp_repetido from empleados where curp='$curp'",$db_conexion);
$rc=mysql_fetch_array($curp_repetido);

$rfc_repetido=mysql_query("select count(*) as rfc_repetido from empleados where rfc='$rfc'",$db_conexion);
$rf=mysql_fetch_array($rfc_repetido);

if($email=='')
{ }
else {
$mail_repetido=mysql_query("select count(*) as mail_repetido from empleados where email='$email'",$db_conexion);
$rm1=mysql_fetch_array($mail_repetido);
}

if($email2=='')
{ }
else {
$mail_repetido2=mysql_query("select count(*) as mail_repetido2 from empleados where email2='$email2' and fechabaja IN('0000-00-00','1111-11-11')",$db_conexion);
$rm2=mysql_fetch_array($mail_repetido2);
}

$usuario_repetido=mysql_query("select count(*) as usuario_repetido from empleados where usuario='$usuario'",$db_conexion);
$ru=mysql_fetch_array($usuario_repetido);

$pass_repetido=mysql_query("select count(*) as pass_repetido from empleados where pass='$password'",$db_conexion);
$rp=mysql_fetch_array($pass_repetido);

// SI EL NOMBRE COMPLETO YA EXISTE
if($rn['nombre_repetido']>0)
 {
  echo "
  <script language='javascript'>
  alert('El Nombre ya se encuentra registrado. Favor de Verificar');
  document.form1.ap.value='';
  document.form1.am.value=''; 
  document.form1.nombre.value='';
  document.form1.ap.focus();
  </script>"; 	  
 }
 
// SI YA EXISTE EL CURP
if($rc['curp_repetido']>0)
 {
  echo "
  <script language='javascript'>
  alert('EL CURP ya se encuentra registrado. Favor de Verificar');
  document.form1.curp.value='';
  document.form1.curp.focus();
  </script>"; 	  
 }
 
// SI YA EXISTE EL RFC
if($rf['rfc_repetido']>0)
 {
  echo "
  <script language='javascript'>
  alert('El RFC ya se encuentra registrado. Favor de Verificar');
  document.form1.rfc.value='';
  document.form1.rfc.focus();
  </script>"; 	  
 }
 
// SI YA EXISTE EL MAIL PERSONAL
if($rm1['mail_repetido']>0)
 {
  echo "
  <script language='javascript'>
  alert('El Mail Personal ya se encuentra registrado. Favor de Verificar');
  document.form1.email.value='';
  document.form1.email.focus();
  </script>"; 	  
 }
 
// SI YA EXISTE EL MAIL DEL TRABAJO
if($rm2['mail_repetido2']>0)
 {
  echo "
  <script language='javascript'>
  alert('El Mail del Trabajo ya se encuentra registrado. Favor de Verificar');
  document.form1.email2.value='';
  document.form1.email2.focus();
  </script>"; 	  
 } 
 
// SI YA EXISTE EL USUARIO
if($ru['usuario_repetido']>0)
 {
  echo "
  <script language='javascript'>
  alert('El Usuario ya se encuentra registrado. Favor de Verificar');
  document.form1.usuario.value='';
  document.form1.usuario.focus();
  </script>"; 	  
 } 
 
// SI YA EXISTE EL PASSWORD
if($rp['pass_repetido']>0)
 {
  echo "
  <script language='javascript'>
  alert('El Password ya se encuentra registrado. Favor de Verificar');
  document.form1.password.value='';
  document.form1.password.focus();
  </script>"; 	  
 }  
?>